Page MenuHomePhabricator

Enable special interwiki link prefix for each WMF project
Closed, DuplicatePublic

Description

Like fr.w for French Wikipedia that will work all across other projects.

Event Timeline

Mjbmr created this task.Feb 14 2015, 10:00 AM
Mjbmr raised the priority of this task from to Needs Triage.
Mjbmr updated the task description. (Show Details)
Mjbmr added a project: GlobalUserPage.
Mjbmr added a subscriber: Mjbmr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2015, 10:00 AM
TTO added a subscriber: TTO.

For French Wikipedia you can use w:fr:. That should work across every single WMF wiki, including French Wikipedia itself. (If not, please let me know.)

In general w:xx: should work for Wikipedias. For other projects you will have to prefix the interwiki with m: to go via Meta. For example, for Vietnamese Wikibooks: m:b:vi:.

This is really an interwiki linking issue. Having T2955 fixed would help matters here a bit. Progress, such as code reviews, move at a glacial pace in the area of interwiki linking, so don't hold your breath.

gerritbot added a subscriber: gerritbot.

Change 190642 had a related patch set uploaded (by TTO):
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/190642

Patch-For-Review

Mjbmr added a comment.EditedFeb 14 2015, 11:42 AM

Redirecting to other domain than the domain what we want causes extra look ups and loosing back links to that domain.

Mjbmr added a comment.EditedFeb 14 2015, 11:54 AM

also using [[w:fr:example]] on fr projects produces //fr.wikipedia.org/wiki/fr:example which will use 301 redirect, google sometimes will ignore status code on the target url (e.g. 404) and will count it as 200.

w:fr:$1 or :fr:w:$1 most goes to //fr.wikipedia.org/wiki/$1 in anywhere.
this prefixes can cause further issue so I suggest using fr.w without having to use : in the beginning.

TTO added a comment.Feb 14 2015, 12:27 PM

I think the Google indexing concerns are rather trivial in the context of global user pages.

this prefixes can cause further issue so I suggest using fr.w without having to use : in the beginning.

What "further issue" can w:fr: cause?

These has to use direct url. just that.

TTO added a comment.Feb 14 2015, 10:24 PM

That doesn't answer my question. What is actually the problem with using w:fr: on a global user page? Can you point to an example of a page with this problem? If there is no problem, there is no need to "use direct url".

I've copied the short existing instructions from [[m:Help:Interwiki linking#Portable links]] into
https://www.mediawiki.org/wiki/Help:Extension:GlobalUserPage#Where_content_comes_from
and marked it all for translation.

Aklapper triaged this task as Medium priority.Feb 16 2015, 12:07 PM
Tgr added a subscriber: Tgr.EditedFeb 19 2015, 6:23 AM
In T89546#1039522, @TTO wrote:

That doesn't answer my question. What is actually the problem with using w:fr: on a global user page? Can you point to an example of a page with this problem? If there is no problem, there is no need to "use direct url".

As a fun hypothetical example, if you are in China and the English Wikipedia is blocked but the Chinese is not, using w:zh: won't work.

More realistically, redirects take time and make the site feel slower, and confuse some browser features like visited link colors. I guess still "rather trivial in the context of global user pages".

Base added a subscriber: Base.Feb 19 2015, 10:15 PM

Don't forget to look for local pages with such prefixes before doint it. It would be a very nice idea to move them with suppressing redirect so that they would not be needed to be moved via API by pageid or via maintenance script.

Mjbmr added a comment.EditedFeb 21 2015, 12:13 PM

@TTO read @Base's comment, that's what I was talking about at the first time.

@Tgr is also mentioned another issue, might exists with current way.

Also as I told, google ignores second 301, check this out:

https://www.google.com/search?q=site:en.wikipedia.org+inurl:en.wikipedia.org/wiki/fr:&start=10

TTO added a comment.Feb 21 2015, 12:19 PM

Re Base's comment, we are dealing with that at T2955.

Does it really matter what Google does?

In any case, this is probably a duplicate of T47116. Per my most recent comment at that task I'm still not convinced this is a big enough deal to bother fixing.

Change 190642 merged by jenkins-bot:
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/190642

Change 195464 had a related patch set uploaded (by Legoktm):
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195464

Change 195465 had a related patch set uploaded (by Legoktm):
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195465

Change 195465 merged by jenkins-bot:
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195465

Change 195464 merged by jenkins-bot:
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195464

[16:34:51] <logmsgbot> !log legoktm Synchronized wmf-config/interwiki.cdb: Updating interwiki cache (duration: 00m 05s)

@TTO: is this fixed now?